---
title: RTCTrackEvent()
slug: Web/API/RTCTrackEvent/RTCTrackEvent
tags:
  - API
  - Constructor
  - Media
  - RTCTrackEvent
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCTrackEvent()</code></strong> constructor creates and returns a new {{domxref("RTCTrackEvent")}} object, configured to describe the track which has been added to the {{domxref("RTCPeerConnection")}}.</span></p>

<p>In general, you won't need to use this constructor, as <code>RTCTrackEvent</code> objects are created by WebRTC and delivered to your <code>RTCPeerConnector</code>'s {{domxref("RTCPeerConnection.ontrack", "ontrack")}} event handler as appropriate.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>trackEvent</em> = new RTCTrackEvent(<em>eventInfo</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<div id="property-list">
<dl>
 <dt><code>eventInfo</code></dt>
 <dd>An object based on the {{domxref("RTCTrackEventInit")}} dictionary, providing information about the track which has been added to the {{domxref("RTCPeerConnection")}}. This object has the following properties:<br>
 {{page("/en-US/docs/Web/API/RTCTrackEventInit", "property-list")}}</dd>
</dl>
</div>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("RTCTrackEvent")}} describing a track which has been added to the <code>RTCPeerConnection</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#constructors-3', 'RTCTrackEvent()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEvent.RTCTrackEvent")}}</p>

